Update the 465 and the 460 NVIDIA driver series

Bug #1931131 reported by Alberto Milone
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Krzysztof Kozlowski
Bionic
Undecided
Krzysztof Kozlowski
Focal
Undecided
Krzysztof Kozlowski
Groovy
Undecided
Krzysztof Kozlowski
Hirsute
Undecided
Krzysztof Kozlowski
nvidia-graphics-drivers-390 (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone
nvidia-graphics-drivers-418-server (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone
nvidia-graphics-drivers-450-server (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Undecided
Unassigned
nvidia-graphics-drivers-460 (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone
nvidia-graphics-drivers-460-server (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone
nvidia-graphics-drivers-465 (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
Medium
Alberto Milone
nvidia-settings (Ubuntu)
Medium
Alberto Milone
Bionic
Medium
Alberto Milone
Focal
Medium
Alberto Milone
Groovy
Medium
Alberto Milone
Hirsute
High
Alberto Milone

Bug Description

Update the 465 and the 460 NVIDIA driver series, and add support for Linux 5.13 to all the driver series.

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the artifacts and console output of the appropriate run to the bug. nVidia maintainers team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

[Changelog]

== 460.84 ==

  * New upstream release (LP: #1931131):
    - Added support for the following GPUs:
        GeForce RTX 3080 Ti
  * debian/additional_card_ids:
    - Drop the additional IDs.
  * debian/rules:
    - Skip lines that start with "#"
      in debian/additional_card_ids.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

== 465.31 ==

  * New upstream release (LP: #1931131):
    - Added support for the following GPUs:
        GeForce RTX 3080 Ti
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
  * debian/templates/dkms_nvidia.conf.in:
    - Drop debian/dkms_nvidia/patches/buildfix_kernel_5.13.patch.
  * debian/additional_card_ids:
    - Drop the additional IDs.
  * debian/rules:
    - Skip lines that start with "#"
      in debian/additional_card_ids.

== 460-server, 450-server, 418-server, 390 ==

  * debian/dkms_nvidia/patches/buildfix_kernel_5.13.patch,
    debian/templates/dkms_nvidia.conf.in:
    - Add support for Linux 5.13 (LP: #1931131).

== nvidia-settings ==

  * New upstream release (LP: #1931131).
  * debian/patches/12_nostrip.patch,
    debian/patches/14_nvidia-settings.desktop.patch:
    - Refresh the patches.
  * debian/compat, debian/control:
    - Depend on debhelper 10 and update standards.

description: updated
Changed in nvidia-graphics-drivers-460 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-465 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-465 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-465 (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-465 (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-465 (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-settings (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-settings (Ubuntu Groovy):
status: New → Confirmed
Changed in nvidia-settings (Ubuntu Hirsute):
status: New → Confirmed
Changed in nvidia-settings (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: Confirmed → In Progress
Changed in nvidia-settings (Ubuntu):
status: Triaged → In Progress
Changed in nvidia-settings (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: Confirmed → In Progress
description: updated
Changed in nvidia-graphics-drivers-390 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-390 (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-390 (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-390 (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-418-server (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-418-server (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-418-server (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-418-server (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu Hirsute):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-418-server (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
Changed in nvidia-graphics-drivers-450-server (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
description: updated
Revision history for this message
Nathan Bryant (nbryant42) wrote :

Are the supported products correct? https://www.nvidia.com/Download/driverResults.aspx/175875/en-us (460.84) shows the addition of support for the 3070 Ti. I think this was earlier omitted from https://www.nvidia.com/Download/driverResults.aspx/175539/en-us (465.31) but the site has now been updated.

Changed in linux (Ubuntu):
assignee: nobody → Krzysztof Kozlowski (krzk)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Krzysztof Kozlowski (krzk)
Changed in linux (Ubuntu Focal):
assignee: nobody → Krzysztof Kozlowski (krzk)
Changed in linux (Ubuntu Groovy):
assignee: nobody → Krzysztof Kozlowski (krzk)
Changed in linux (Ubuntu Hirsute):
assignee: nobody → Krzysztof Kozlowski (krzk)
Changed in linux (Ubuntu):
status: New → In Progress
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in linux (Ubuntu Focal):
status: New → In Progress
Changed in linux (Ubuntu Groovy):
status: New → In Progress
Changed in linux (Ubuntu Hirsute):
status: New → In Progress
Revision history for this message
Timo Aaltonen (tjaalton) wrote : Please test proposed package

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.84-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.84-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Hirsute):
status: In Progress → Fix Committed
tags: added: verification-needed-hirsute
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.84-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
status: In Progress → Fix Committed
tags: added: verification-needed-groovy
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.84-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.31-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-465 (Ubuntu Hirsute):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.31-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-465 (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.31-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-465 (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-465 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/465.31-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-465 (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-390 into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.143-0ubuntu1.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-390 (Ubuntu Hirsute):
status: In Progress → Fix Committed
Changed in nvidia-graphics-drivers-390 (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-390 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.143-0ubuntu0.20.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-390 (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-390 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.143-0ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-418-server (Ubuntu Hirsute):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-418-server into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-418-server/418.197.02-0ubuntu1.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-418-server (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-418-server into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-418-server/418.197.02-0ubuntu0.20.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-418-server (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-418-server into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-418-server/418.197.02-0ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-418-server (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-418-server into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-418-server/418.197.02-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-450-server (Ubuntu Hirsute):
status: New → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.21.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-450-server (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.20.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-450-server (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.20.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-450-server (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-450-server into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450-server/450.119.04-0ubuntu0.18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460-server (Ubuntu Hirsute):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460-server into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460-server/460.73.01-0ubuntu1.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460-server (Ubuntu Groovy):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460-server into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460-server/460.73.01-0ubuntu0.20.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460-server (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460-server into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460-server/460.73.01-0ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460-server (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460-server into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460-server/460.73.01-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Hirsute):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into hirsute-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/465.31-0ubuntu0.21.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-hirsute to verification-done-hirsute. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-hirsute. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/465.31-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Groovy):
status: In Progress → Fix Committed
Changed in nvidia-settings (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/465.31-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-settings (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-settings/465.31-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Revision history for this message
Ubuntu SRU Bot (ubuntu-sru-bot) wrote : Autopkgtest regression report (nvidia-graphics-drivers-465/465.31-0ubuntu0.21.04.1)

All autopkgtests for the newly accepted nvidia-graphics-drivers-465 (465.31-0ubuntu0.21.04.1) for hirsute have finished running.
The following regressions have been reported in tests triggered by the package:

pyopencl/2021.1.2-1build1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/hirsute/update_excuses.html#nvidia-graphics-drivers-465

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Revision history for this message
Andy Whitcroft (apw) wrote : Please test proposed package

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-390 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/390.143-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Sønke Lorenzen (solorenzen) wrote :

I have tested 460.84 and 465.42 from jirsute-proposed on hirsute on a system affected by https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-465/+bug/1930733

The kernel oops still happens when I connect my Acer XF270HU monitor with DisplayPort, but with HDMI both drivers worked.

I tested it with playing a bit of Hitman 2 with proton, and Total War: Warhammer II which is a Linux native game.

I also checked that I can boot up with the new 450-server driver into a desktop with DisplayPort, and the same with 460-server, and here I also played the mentioned games without problems with DisplayPort

All tests where done with the default 5.11 kernel from Hirsute from the linux-generic package

Revision history for this message
Alberto Milone (albertomilone) wrote :

@Sønke: we can confirm that the drivers included in this SRU don't have a fix for LP: #1930733, which will be fixed in a later release.

Revision history for this message
Nathan Bryant (nbryant42) wrote :

I was able to get my hands on a card to upgrade from a GTX 1070 to an RTX 3060 Ti LHR (Low Hash Rate). Assuming this driver version to be necessary for the new LHR cards but I did not test the previous version, so that might not be correct.

The basic GNOME desktop and Chromium browser seem to work.

Revision history for this message
Francis Ginther (fginther) wrote :

@albertomilone. I've completed the basic CUDA testing of the server drivers. As with the prior version, the 450-server and 460-server drivers passed across the generic kernels for bionic, focal, groovy, hirsute and impish. This applies to both the dkms and lrm installations. Impish was tested with the 5.11 kernel.

For the 418-server driver, the dkms driver passed for bionic, focal and groovy did not work with hirsute or impish (both with the 5.11 kernel). The LRM driver worked across all 5 series. This was the same behavior as the prior version of the driver.

I plan on doing additional testing to get coverage on more platforms, but this passes the minimal testing criteria.

Revision history for this message
Kevin Yeh (kevinyeh) wrote :

Test results of nvidia-driver-460 are available at https://docs.google.com/spreadsheets/d/1OvcC1jFqSrm3fWTDh7HXIxy1uVdrRxfIyrMU8hYp5A4/edit#gid=312612113.
Test results of nvidia-driver-465 are available at https://docs.google.com/spreadsheets/d/1JCQCO92T_6WOVV3KfpRQjDFsWytVhbscny50bhrld8o/edit#gid=1527963777.
No regressions were found for both.

Revision history for this message
Nathan Bryant (nbryant42) wrote :

Speaking of the -server drivers, I'm not sure why they're not listed by ubuntu-drivers for my hardware, which is an RTX 3060 Ti LHR:

nbryant@alphasite:~/git/webapp$ ubuntu-drivers list
nvidia-driver-460, (kernel modules provided by linux-modules-nvidia-460-generic-hwe-20.04)
nvidia-driver-465, (kernel modules provided by linux-modules-nvidia-465-generic-hwe-20.04)
nbryant@alphasite:~/git/webapp$ ubuntu-drivers devices
== /sys/devices/pci0000:00/0000:00:03.1/0000:07:00.0 ==
modalias : pci:v000010DEd00002489sv000019DAsd00006630bc03sc00i00
vendor : NVIDIA Corporation
driver : nvidia-driver-460 - distro non-free recommended
driver : nvidia-driver-465 - distro non-free
driver : xserver-xorg-video-nouveau - distro free builtin

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-390 - 390.144-0ubuntu0.21.04.1

---------------
nvidia-graphics-drivers-390 (390.144-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Mon, 05 Jul 2021 10:53:18 +0200

Changed in nvidia-graphics-drivers-390 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-390 - 390.144-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-390 (390.144-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Mon, 05 Jul 2021 11:06:19 +0200

Changed in nvidia-graphics-drivers-390 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-390 - 390.144-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-390 (390.144-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Mon, 05 Jul 2021 11:07:57 +0200

Changed in nvidia-graphics-drivers-390 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-390 - 390.144-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-390 (390.144-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Mon, 05 Jul 2021 11:13:44 +0200

Changed in nvidia-graphics-drivers-390 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-418-server - 418.211.00-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-418-server (418.211.00-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Tue, 06 Jul 2021 17:57:34 +0200

Changed in nvidia-graphics-drivers-418-server (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-418-server - 418.211.00-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-418-server (418.211.00-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Tue, 06 Jul 2021 17:59:29 +0200

Changed in nvidia-graphics-drivers-418-server (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-418-server - 418.211.00-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-418-server (418.211.00-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 13:23:44 +0200

Changed in nvidia-graphics-drivers-418-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-418-server - 418.211.00-0ubunt0.21.04.1

---------------
nvidia-graphics-drivers-418-server (418.211.00-0ubunt0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Tue, 06 Jul 2021 17:55:36 +0200

Changed in nvidia-graphics-drivers-418-server (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.142.00-0ubuntu0.21.04.1

---------------
nvidia-graphics-drivers-450-server (450.142.00-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 14:48:30 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.142.00-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-450-server (450.142.00-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 14:49:56 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.142.00-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-450-server (450.142.00-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 14:51:51 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-450-server - 450.142.00-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-450-server (450.142.00-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 14:53:04 +0200

Changed in nvidia-graphics-drivers-450-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.91.03-0ubuntu0.21.04.1

---------------
nvidia-graphics-drivers-460 (460.91.03-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 12:46:59 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.91.03-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-460 (460.91.03-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 12:48:27 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.91.03-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-460 (460.91.03-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 12:53:30 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.91.03-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-460 (460.91.03-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 13:00:00 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460-server - 460.91.03-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-460-server (460.91.03-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 15:12:32 +0200

Changed in nvidia-graphics-drivers-460-server (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460-server - 460.91.03-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-460-server (460.91.03-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 15:16:33 +0200

Changed in nvidia-graphics-drivers-460-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460-server - 460.91.03-0ubuntu0.21.04.1

---------------
nvidia-graphics-drivers-460-server (460.91.03-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 15:05:58 +0200

Changed in nvidia-graphics-drivers-460-server (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460-server - 460.91.03-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-460-server (460.91.03-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1933980).
  * debian/templates/dkms_nvidia.conf.in:
    - Drop buildfix_kernel_5.13.patch.

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 15:15:13 +0200

Changed in nvidia-graphics-drivers-460-server (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 470.57.01-0ubuntu0.21.04.1

---------------
nvidia-settings (470.57.01-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Mon, 12 Jul 2021 16:22:06 +0200

Changed in nvidia-settings (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 470.57.01-0ubuntu0.20.10.1

---------------
nvidia-settings (470.57.01-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Mon, 12 Jul 2021 16:23:25 +0200

Changed in nvidia-settings (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 470.57.01-0ubuntu0.20.04.1

---------------
nvidia-settings (470.57.01-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Mon, 12 Jul 2021 16:46:55 +0200

Changed in nvidia-settings (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 470.57.01-0ubuntu0.18.04.1

---------------
nvidia-settings (470.57.01-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Mon, 12 Jul 2021 16:52:10 +0200

Changed in nvidia-settings (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.91.03-0ubuntu1

---------------
nvidia-graphics-drivers-460 (460.91.03-0ubuntu1) impish; urgency=medium

  * New upstream release (LP: #1933980).

 -- Alberto Milone <email address hidden> Fri, 09 Jul 2021 12:45:02 +0200

Changed in nvidia-graphics-drivers-460 (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote :

Based off comment #37 I'm setting the tags to verification-done.

tags: added: verification-done verification-done-bionic verification-done-focal verification-done-hirsute
removed: verification-needed verification-needed-bionic verification-needed-focal verification-needed-hirsute
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.31-0ubuntu0.21.04.1

---------------
nvidia-graphics-drivers-465 (465.31-0ubuntu0.21.04.1) hirsute; urgency=medium

  * New upstream release (LP: #1931131):
    - Added support for the following GPUs:
        GeForce RTX 3080 Ti
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
  * debian/additional_card_ids:
    - Drop the additional IDs.
  * debian/rules:
    - Skip lines that start with "#"
      in debian/additional_card_ids.

 -- Alberto Milone <email address hidden> Fri, 11 Jun 2021 16:21:13 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu Hirsute):
status: Fix Committed → Fix Released
Revision history for this message
Brian Murray (brian-murray) wrote : Update Released

The verification of the Stable Release Update for nvidia-graphics-drivers-465 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.31-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-465 (465.31-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1931131):
    - Added support for the following GPUs:
        GeForce RTX 3080 Ti
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
  * debian/additional_card_ids:
    - Drop the additional IDs.
  * debian/rules:
    - Skip lines that start with "#"
      in debian/additional_card_ids.

 -- Alberto Milone <email address hidden> Mon, 14 Jun 2021 12:17:09 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-465 - 465.31-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-465 (465.31-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1931131):
    - Added support for the following GPUs:
        GeForce RTX 3080 Ti
        GeForce RTX 3050 Ti Laptop GPU
        GeForce RTX 3050 Laptop
    - Fixed a bug that could cause AddressSanitizer to report a heap-
      buffer-overflow during initialization of the OpenGL and Vulkan
      libraries.
  * debian/additional_card_ids:
    - Drop the additional IDs.
  * debian/rules:
    - Skip lines that start with "#"
      in debian/additional_card_ids.

 -- Alberto Milone <email address hidden> Mon, 14 Jun 2021 12:18:04 +0200

Changed in nvidia-graphics-drivers-465 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in nvidia-graphics-drivers-465 (Ubuntu Groovy):
status: Fix Committed → Won't Fix
Revision history for this message
Brian Murray (brian-murray) wrote :

The Hirsute Hippo has reached End of Life, so this bug will not be fixed for that release.

Changed in linux (Ubuntu Hirsute):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers